(_map_component.camera = {
  name: $.s("カメラ操作"),
  component_type: "Simple",
  default_view: {
    icon: "s-icon-video-camera",
    icon_color: "#66CDAA",
    category: "camera",
  },
  param_view: {
    time: "time",
    x: "x",
    y: "y",
    zoom: "zoom",
    rotate: "rotate",
    wait: "wait",
    layer: "layer",
    ease_type: "ease_type",
  },
  param: {
    time: {
      type: "Num",
      name: $.s("時間"),
      unit: $.s("ﾐﾘ秒"),
      default_val: 1e3,
      validate: { required: !0, number: !0 },
      spinner: { min: 0, max: 1e4, step: 100 },
    },
    _clickable_img: {
      type: "CameraPreview",
      bound_type: "camera",
      name: $.s("カメラポジションツール"),
      help: $.s("このカメラの動作をプレビューすることができます"),
      vital: !1,
      default_val: "",
    },
    x: {
      type: "Num",
      name: $.s("X座標"),
      unit: $.s("px"),
      help: $.s("カメラ移動先のX座標を指定します"),
      spinner: { min: -1e4, max: 1e4, step: 10 },
      validate: { number: !0 },
    },
    y: {
      type: "Num",
      name: $.s("Y座標"),
      unit: $.s("px"),
      help: $.s("カメラ移動先のY座標を指定します"),
      spinner: { min: -1e4, max: 1e4, step: 10 },
      validate: { number: !0 },
    },
    zoom: {
      type: "Num",
      name: $.s("ズーム"),
      unit: $.s("倍"),
      help: $.s("カメラのズーム倍率を指定できます"),
      validate: { number: !0 },
      spinner: { min: -100, step: 0.1 },
      default_val: 1,
    },
    rotate: {
      type: "Num",
      name: $.s("角度"),
      unit: $.s("度"),
      help: $.s("カメラを回転させることができます"),
      validate: { number: !0 },
      spinner: { max: 2e3, min: -2e3, step: 10 },
      default_val: 0,
    },
    layer: {
      type: "Select",
      name: $.s("対象レイヤ"),
      help: $.s("特定のレイヤのみにカメラ効果を与える事ができます"),
      select_list: [
        { name: $.s("すべて"), val: "layer_camera" },
        { name: $.s("背景"), val: "base" },
        { name: $.s("キャラクター"), val: "0" },
      ],
      default_val: "",
    },
    ease_type: {
      type: "Select",
      name: $.s("演出"),
      help: $.s("カメラの移動演出を選択することができます"),
      select_list: [
        { name: $.s("Ease"), val: "ease" },
        { name: $.s("Linear"), val: "linear" },
        { name: $.s("Ease in"), val: "ease-in" },
        { name: $.s("Ease out"), val: "ease-out" },
        { name: $.s("Ease in-out"), val: "ease-in-out" },
      ],
      default_val: "",
    },
    wait: {
      type: "Check",
      text: $.s("カメラ移動が完了するまで待つ"),
      default_val: !0,
    },
  },
}),
  (_map_component.reset_camera = {
    name: $.s("カメラリセット"),
    component_type: "Simple",
    default_view: {
      icon: "s-icon-video-camera",
      icon_color: "#66CDAA",
      category: "camera",
    },
    param_view: {
      time: "time",
      wait: "wait",
      layer: "layer",
      ease_type: "ease_type",
    },
    param: {
      time: {
        type: "Num",
        name: $.s("時間"),
        unit: $.s("ﾐﾘ秒"),
        default_val: 1e3,
        validate: { required: !0, number: !0 },
        spinner: { min: 0, max: 1e4, step: 100 },
      },
      _clickable_img: {
        type: "CameraPreview",
        bound_type: "camera",
        name: $.s("カメラポジションツール"),
        help: $.s("このカメラの動作をプレビューすることができます"),
        vital: !1,
        default_val: "",
      },
      layer: {
        type: "Select",
        name: $.s("対象レイヤ"),
        help: $.s("特定のレイヤのみにカメラ効果を与える事ができます"),
        select_list: [
          { name: $.s("すべて"), val: "layer_camera" },
          { name: $.s("背景"), val: "base" },
          { name: $.s("キャラクター"), val: "0" },
        ],
        default_val: "",
      },
      ease_type: {
        type: "Select",
        name: $.s("演出"),
        help: $.s("カメラの移動演出を選択することができます"),
        select_list: [
          { name: $.s("ease"), val: "ease" },
          { name: $.s("linear"), val: "linear" },
          { name: $.s("ease-in"), val: "ease-in" },
          { name: $.s("ease-out"), val: "ease-out" },
          { name: $.s("ease-in-out"), val: "ease-in-out" },
        ],
        default_val: "",
      },
      wait: {
        type: "Check",
        text: $.s("カメラ移動が完了するまで待つ"),
        default_val: !0,
      },
    },
  }),
  (_map_component.wait_camera = {
    name: $.s("カメラウェイト"),
    component_type: "Simple",
    default_view: {
      icon: "s-icon-clock-camera",
      icon_color: "#66CDAA",
      category: "camera",
    },
    param_view: {},
    param: {},
  }),
  (_map_component.bgmovie = {
    name: $.s("背景ムービー"),
    component_type: "Movie",
    default_view: {
      base_movie_url: "data/video/",
      icon: "s-icon-play3",
      icon_color: "#ff8447",
      category: "bgmovie",
    },
    param_view: {
      movie_url: "storage",
      time: "time",
      volume: "volume",
      loop: "loop",
    },
    param: {
      storage: {
        type: "MovieSelect",
        file_path: "video/",
        name: $.s("動画"),
        vital: !0,
        default_val: "",
        validate: { required: !0 },
      },
      time: {
        type: "Num",
        name: $.s("フェードイン時間"),
        unit: $.s("ﾐﾘ秒"),
        default_val: 1e3,
        validate: { required: !0, number: !0 },
        spinner: { min: 0, max: 1e4, step: 100 },
      },
      volume: {
        type: "Num",
        name: $.s("音量"),
        unit: $.s("%"),
        validate: { number: !0 },
        spinner: { min: 0, max: 100, step: 10 },
        default_val: 100,
      },
      loop: {
        type: "Check",
        text: $.s("ループ再生する"),
        default_val: !0,
        help: $.s("チェックを入れると背景ムービーをループ再生します"),
        name: "",
      },
    },
  }),
  (_map_component.stop_bgmovie = {
    name: $.s("背景ムービー停止"),
    component_type: "Simple",
    default_view: {
      icon: "s-icon-stop2",
      icon_color: "#ff8447",
      category: "bgmovie",
    },
    param_view: { time: "time" },
    param: {
      time: {
        type: "Num",
        name: $.s("フェードアウト時間"),
        unit: $.s("ﾐﾘ秒"),
        validate: { number: !0 },
        spinner: { min: 0, max: 1e4, step: 100 },
        default_val: 1e3,
      },
    },
  }),
  (_map_component.wait_bgmovie = {
    name: $.s("背景ムービー待ち"),
    component_type: "Simple",
    default_view: {
      icon: "s-icon-clock-bgmovie",
      icon_color: "#ff8447",
      category: "bgmovie",
    },
    param_view: { time: "time" },
    param: {},
  }),
  (_map_component.tb_chara_shake = {
    name: $.s("キャラクター振動"),
    component_type: "Simple",
    default_view: { icon: "chara-change", category: "character" },
    param_view: { time: "time" },
    param: {
      name: {
        type: "Select",
        help: $.s("揺らしたいキャラクターを選択して下さい"),
        select_list: function () {
          var e = app.config.project_config.map_chara,
            a = [];
          a.push({ name: "-", val: "" });
          var t = 0;
          for (key in e) t++, a.push({ name: key, val: key });
          return a;
        },
        default_val: function () {},
        name: $.s("キャラクター"),
      },
      direction: {
        type: "Select",
        name: $.s("揺れ方向"),
        help: $.s("縦揺れか横揺れかを選択できます"),
        select_list: [
          { name: $.s("横"), val: "x" },
          { name: $.s("縦"), val: "y" },
        ],
        default_val: "x",
      },
      count: {
        type: "Num",
        name: $.s("回数"),
        help: $.s("揺れる回数を指定できます"),
        unit: $.s("ﾐﾘ秒"),
        validate: { number: !0 },
        spinner: { min: 0, max: 1e4, step: 1 },
        default_val: 2,
      },
      swing: {
        type: "Num",
        name: $.s("揺れ幅"),
        help: $.s("揺れる幅を指定します。大きい値にすると大きく揺れます"),
        validate: { number: !0 },
        spinner: { min: 0, max: 1e4, step: 10 },
        default_val: 20,
      },
      time: {
        type: "Num",
        name: $.s("揺れ時間"),
        help: $.s(
          "１回の揺れにかかる時間をミリ秒で指定します。つまり大きくするとゆっくり揺れます"
        ),
        unit: $.s("ﾐﾘ秒"),
        validate: { number: !0 },
        spinner: { min: 0, max: 1e4, step: 100 },
        default_val: 100,
      },
    },
  });
